Link Social Account
POST /api/v1/auth/web/social/{provider}/link
POST
/api/v1/auth/web/social/{provider}/link
Link a new social account to the authenticated user. Returns the OAuth redirect URL for the linking flow.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” provider
required
string
The OAuth provider name.
Example
googleResponses
Section titled “ Responses ”object
redirect_url
string
https://accounts.google.com/o/oauth2/v2/auth?...{ "redirect_url": "https://accounts.google.com/o/oauth2/v2/auth?..."}Unauthenticated
object
message
string
Unauthenticated.{ "message": "Unauthenticated."}Invalid provider
object
message
string
The given data was invalid. errors
object
provider
Array<string>
[ "The selected provider is invalid."]{ "message": "The given data was invalid.", "errors": { "provider": [ "The selected provider is invalid." ] }}